Skip to main content
GET
List placement groups

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID.

Example:

1

Query Parameters

ids
string<uuid4>[]

Filter by one or more placement group IDs (exact match).

Example:
limit
integer
default:100

Maximum number of items to return.

Required range: x <= 1000
Example:

100

managed
boolean

Filter placement groups that a service operates (true) or not (false).

Example:

false

managed_by
enum<string>

Filter by the type of the managing service.

Available options:
system
Example:

"system"

member_ids
string<uuid4>[]

Filter to placement groups containing any of these instance UUIDs.

Example:
name
StringFilter · object

Operator-based name filter, e.g. name[contains]=web, name[prefix]=prod-. Case-insensitive.

offset
integer
default:0

Number of items to skip from the start of the result.

Required range: x >= 0
Example:

0

order_by
enum<string>
default:created_at.desc

Sort field and direction.

Available options:
created_at.asc,
created_at.desc,
name.asc,
name.desc,
region_id.asc,
region_id.desc,
updated_at.asc,
updated_at.desc
Example:

"created_at.desc"

policies
enum<string>[]

Filter by one or more placement policies.

Available options:
affinity,
anti-affinity,
soft-affinity,
soft-anti-affinity
Example:
region_ids
integer[]

Filter by one or more region IDs. Omit to list across all regions.

Example:

Response

Placement groups

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
GlobalPlacementGroupSerializer · object[]
required

Objects